*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    text-decoration: none;
    text-align: center;
}

html{
    scroll-behavior: smooth;
}

body{
    font-family: sans-serif;
    position: relative;
    height: 100vh;
    background-color: black;
    color: white;
    overflow-x: hidden;
    position: relative;
}

.section-seperators{
    width: 100%;
}

.logo-section{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.title{
    margin-left: 10px;
}

nav{
    background-color:black ;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
    padding: 15px 50px;
    color: white;
}


nav ul{
    list-style-type: none;
    display: flex;
    align-items: center;
    gap: 20px;
}

li{
    width: 70px;
}

li a{
    font-size: 1.1rem;
    cursor: pointer;
    padding: 20px 15px;
    transition: 0.5s;
    color: white;
}

li a:hover{
    color: #5BA497;
    border-bottom: 2px #5BA497 solid;
    transition: 0.1s;
}

.hide{
    top: 70px;
}


/* Hero section */

.hero{
    color: white;
    display: flex;
    flex-direction: row;
    max-width: 100%;
    margin: 150px 20px 20px 20px;
    justify-content: center;
}


.hero-text h4{
    color: #5BA497;
    width: 170px;
    text-align: center;
    border-bottom: 1px solid #5BA497;
    line-height: 0rem;
    margin-bottom: 20px;  
}

.hero-text h4 span{
    background:black; 
    padding:0px 10px; 
}

.hero-text{
    margin-right: 30px;
    display: flex;
    flex-direction: column;
}
.hero h1{
    font-size: 65px;
    font-family: Merriweather;
    text-align: left;
    line-height: 50px;
}
.hero p{
    font-size: 20px;
    text-align: left;
    margin: 20px 0px;
}

.hero-icons{
    display: flex;
    flex-direction: row;
    gap: 30px;
}
.hero-icons a{
    color: white;
}

.hero-icon:hover{
    color: #5BA497;
    cursor: pointer;
}

/* Experience section */
.experience{
    width: 100%;
    height: 100px;
    background-color: #5BA497;
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 50px 0px;
}
.experience h3{
    font-size: 22px;
    margin: 0px 10px;
}
.language{
    width: 40px;
    height: 40px;
    margin: 10px;
    
}

.hero-pic{
    width: 550px;
    height: 350px;
    border-radius: 7px;
}


/*About section*/

.about-container{
    margin: auto;
}
.about-section{
    padding: 100px 200px;
    display: flex;
    justify-content: center;
}

.section-title{
    text-align: center;
}


.about-pic{
    width: 400px;
    height: 400px;
    align-items: left;
}
.about-text{
    padding-left: 20px;
}

.about-section p{
    font-size: 20px;
    text-align: left;
    margin: 20px 0px;
    
}

.about-section button{
    background-color: #5BA497;
    color: black;
    font-size: 20px;
    font-weight:bold;
    border: 2px solid #5BA497;
    border-radius: 20px;
    width: 150px;
    height: 35px;
    padding: 10px 10px;
    padding: 1px;
}

.about-section button:hover{
    cursor: pointer;
    background-color: #5ba4978c;
    color: #5BA497;
}


/* skills section */
.skills-section{
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.experience-container{
    display: inherit;
    flex-direction: inherit;
    align-items: start;

}



.tab-container{
    display: flex;
    gap: 10px;
}

.tab-container button{
    width: 110px;
    height: 50px;
    padding: 5px;
    background: transparent;
    border: none;
    color: white;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    border-radius: 5px 5px 0 0;
}

.btn-logo{
    background-color: white;
    border: 1px solid black;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.tab-container img{
    width: 20px;
    height: 20px;
}

.skill-btn.active{
    background-color: #5BA497;
}

.skill-container{
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-top: 1px solid #5BA497;
    /* padding: 20px; */
    width: 900px;
    height: 500px;
}

.skill-sentence{
    text-align: center;
    margin: 40px 0px 50px 0px;
}

.developer-container{
    display: none;
}


.skill-container h3{
    color: #5BA497;
}

.skill-container li{
    list-style: none;
}

.tools{
    margin: 30px 0;
}

.design-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.design-fun{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin: 20px 0 30px 0;
}



.tool-cards{
    margin: 20px 5px;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
   
}
.dev-tools{
    margin: 20px 5px;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
   justify-content: center;
}

.t-card{
    padding: 10px;
    max-width: 160px;
    min-width: 160px;
    border: 1px solid white;
    border-radius: 15px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.t-card:hover{
    cursor: pointer;
}

.tool-img{
    width: 50px;
    height: 50px;
    background-color: #3f3f46;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.tool-img img{
    object-fit: contain;
    width: 40px;
    height: 40px;
}




.full-stack{
    display: flex;
    justify-content: space-evenly;
    gap: 100px;
}










/*Portfolio section*/

.section-title{
    margin-bottom: 50px;
}

.section-title a{
    color: white;
    text-decoration: underline;
    margin-top: 5px;
}
.portfolio-section{
    display: flex;
    flex-direction: column;
    align-items: center;
} 

.project-container{
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
    justify-content: center;
    align-items: center;
}



.portfolio-cell{
    /* display: flex;
    flex-direction: column; */
    margin: 10px;
    align-items: center;
    border: 1px solid white;
    border-radius: 30px;
    width: 400px;
    height: 300px;
    overflow: hidden;
    position: relative;
}

.project-description{
    width: auto;
}

.cell-img{
    width: 100%;
    height: 300px;
    border-radius: 30px;
    object-fit: cover;
}

.dots{
    display: flex;
    flex-direction: row;
    justify-content: center;
}


.cell-info{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.7); /* Dark overlay */
    color: white;
    border-radius: 30px;
    opacity: 0; 
    visibility: hidden;  
    transition: opacity 0.3s ease, visibility 0.3s ease; /* Smooth fade */
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.portfolio-cell:hover .cell-info{
    opacity: 1;
    visibility: visible;
}

.cell-info h2{
    display: flex;
    flex-direction: column;
    padding: 10px;
    font-size: 20px;
}

.project-btn{
    display: flex;
    justify-content:space-evenly;
    gap: 50px;
}



.container{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 100px 50px;
    padding: 100px 50px;
}
.container .card{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    width: 350px;
    max-width: 100%;
    height: 300px;
    background: white;
    border-radius: 20px;
    transition: 0.5s;
    box-shadow: 0  35px 80px rgba(0, 0, 0, 0.15);    
}



.slideshow-container {
    max-width: 1000px;
    position: relative;
    margin: auto;
  }
  
  /* Hide the images by default */
  .mySlides {
    display: block;
  }
  
  /* Next & previous buttons */
  .prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
  }
  
  /* Position the "next button" to the right */
  .next {
    right: 0;
    border-radius: 3px 0 0 3px;
  }

  .prev{
    left: 0;
    border-radius: 0 3px 3px 0;
  }
  
  
  .prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.8);
  }
  
  
  
  /* Number text (1/3 etc) */
  .numbertext {
    color: #5BA497;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
    font-weight: bold;
  }
  
  /* The dots/bullets/indicators */
  .dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
  }
  
  .active, .dot:hover {
    background-color: #717171;
  }
  
  /* Fading animation */
  .fade {
    animation-name: fade;
    animation-duration: 1.5s;
  }
  
  @keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
  }

.portfolio-icon{
    padding: 10px;
    margin: 0px 20px;
}

.portfolio-section p{
    width: auto;
    max-width: 400px;
    padding: 15px;
    text-align: center;
}

.code-view{
    background-color: #5BA497;
    color: black;
    font-size: 15px;
    font-weight:bold;
    border: 2px solid #5BA497;
    border-radius: 20px;
    width: 100px;
    height: 35px;
    padding: 10px 10px;
    padding: 1px;
}

.live-view{
    background-color: #5BA497;
    color: black;
    font-size: 15px;
    font-weight:bold;
    border: 2px solid #5BA497;
    border-radius: 20px;
    width: 100px;
    height: 35px;
    padding: 10px 10px;
    padding: 1px;
}
.portfolio-section button{
    margin: 50px 5px 10px 5px;
}

.portfolio-section button:hover{
    cursor: pointer;
    background-color: #5ba4978c;
    color: #5BA497;
}


/*Contact section*/

.contact-section{
    display: flex;
    flex-direction: row;
    padding: 10px;
}
.contact-links{
    padding: 10px;
    margin-right: 100px;
}
.contact-links h2{
    color: #5BA497;
    text-align: left;
    margin-bottom: 20px;
}
.contact-links h1{
    font-family: Merriweather;
    font-size: 45px;
    text-align: left;
}

.contact-links h4{
    color: #5BA497;
    margin: 8px 0px;
}

.contact-links h4, p{
    text-align: left;
   
}

.contact-form{
    width: 650px;
    max-width: 100%;
    margin: 20px 30px 25px auto;
    align-items: center;
}
.cell-grid1{
    display: flex;
    flex-direction: row;
    gap: 20px;
}


.form-cell{
    float: left; 
    display: flex;
    flex-direction: column;
}

label{
    text-align: left;
}

input ::placeholder{
    text-align: left;
}
input[type=text], textarea {
    padding: 12px;
    border-bottom: 3px solid #5BA497;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    width: 300px;
    resize: none;
    text-align: left;
}

textarea{
    width: 500px;
}

  
.form-btn {
justify-content: left;
background-color: #5ba4978c;
color: rgb(210, 206, 206);
padding: 12px 20px; 
border: 3px solid #5BA497;
border-radius: 30px;
cursor: pointer;
float: left;
}
  
.form-btn:hover {
background-color: #5BA497;
}





/*Footer section*/
footer{
    border-bottom:15px solid  #5ba497;
    align-items: center;
    width: 100%;
    margin-top: 200px;
    padding: 30px
}


footer a{
    justify-content: center;
    margin: 5px;
    color: white;
}

.footer-icon:hover{
    color: #5BA497;
    cursor: pointer;
}

footer p{
    text-align: center;
    font-weight: bold;
    margin-top: 10px;
}








/* Portfolio Media sections */

/* Extra large devices (large laptops and desktops, 1200px and up) */ 
@media screen and (min-width: 1200px){
    .hero{
        padding: 10px 20px;
        margin-top: 90px;
    }
    .hero-text h4{
        color: #5BA497;
        width: 170px;
        text-align: center;
        border-bottom: 1px solid #5BA497;
        line-height: 0rem;
        margin-bottom: 20px;  
    }
    
    .hero-text h4 span{
        background:black; 
        padding:0px 10px; 
    }
    
    .hero-text{
        margin-right: 30px;
        display: flex;
        flex-direction: column;
    }
    .hero h1{
        line-height: 75px;
        font-size: 100px;
    }
    .hero p{
        font-size: 25px;
        margin: 20px 0px;
    }

    .hero-pic{
        width: 600px;
        height: 400px;
    }
    
   
}


/* Large devices (laptops/desktops, 992px and up) */
@media screen and (min-width: 992px) and (max-width: 1200){
    .section-title{
        font-size: 17px;
    }
    

    .hero h1{
        font-size: 60px;
        text-align: left;
        
    }
    .hero p{
        font-size: 20px;
        margin: 20px 0px;
    }

    .hero-pic{
        width: 400px;
        height: 300px;
    }

    .experience{
        width: 100%;
    }
    
    .about-container{
        margin: 50px auto;
    }

    .about-section{
        padding: 50px 100px;
    }

    .about-pic{
        width: 400px;
        height: 300px;
    }

    .form-btn{
        width: 200px;
    }

    footer{
        margin-top: 100px;
    }

}












/* Medium devices (landscape tablets, 768px and up) */
/* Small devices (portrait tablets and large phones, 600px and up) */
@media screen and (min-width: 625px) and (max-width: 992px){
    .hamburger{
        display: flex;
        flex-direction: column;
        gap: 8px;
        cursor: pointer;
        padding: 10px;
        margin-right: -10px;
    }

    .lines{
        display: flex;
        background-color: white;
        height: 2px;
        width: 35px;
    }

    .lines-rotate{
        background-color: rgb(85, 84, 84);
        border-radius: 5px;
    }


    nav{
        position: relative;
        padding: 15px 20px;
        margin: 0px auto;
    }

    nav ul{
        width: 100%;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: absolute;
        top: -300px;
        right: 0;
        background-color: #5BA497;
        padding: 35px 0;
        border-radius: 0 0 20px 20px;
        box-shadow: 0px 5px 5px rgba(128,128,128,0.363)
    }

    nav li a{
        color: rgba(12, 11, 11, 0.836);
        font-weight: bold;

    }

    nav li{
        text-align: center;
        width: 90vw;
    }

    nav a:hover{
        font-weight: bold;
        color: #191e24;
        border: none;
        letter-spacing: 3px;
    }

    .hero{
        display: flex;
        flex-direction: column;
        margin: 150px auto;
    }

    .hero-text{
        max-width: 100%;
        align-items: center;
        margin-right: 0px;
    }

    .hero h1{
        font-size: 70px;
        text-align: center;
        line-height: 60px;
        
    }
    .hero p{
        font-size: 20px;
        margin: 20px 0px;
        text-align: center;
    }

    .hero-pic{
        display: block;
        margin: 50px auto;
        width: 700px; 
        height: 400px;
    }

    .about-container{
        margin: 50px auto;
    }

    .about-section{
        padding: 50px 100px;
        justify-content: center;
    }

    .about-pic{
        width: 400px;
        height: 300px;
    }

    .skill-container{
        width: auto;
        margin-bottom: 100px;
    }
    

    .portfolio-section{
        justify-content: center;
        padding: 0px 30px;
    }


    .contact-section{
        padding: 50px;
        flex-direction: column;
    }

    .contact-links{
        padding: 10px;
        margin: 0px 0px 100px 0px;

    }
    .contact-links h2{
        margin-bottom: 20px;
    }
    .contact-links h1{
        font-size: 50px;
    }
    
    .contact-links h4{
        color: #5BA497;
        margin: 8px 0px;
        font-size: 20px;
    }

    .contact-links p{
        font-size: 25px;
    }

    .contact-form{
        width: 800px;
        margin: 20px auto 0px auto;
    }

    form{
        display: flex;
        flex-direction: column;
    }

    

    label{
        font-size: 20px;
    }

    .form-btn{
        width: 200px;
        height: 40px;
        margin-top: 20px;
    }


}








/* Extra small devices (phones, 600px and down) */
@media screen and (max-width: 625px){
    body{
        overflow-x: hidden;
    }
    
    .section-title{
        font-size: 13px;
    }

    .hamburger{
        display: flex;
        flex-direction: column;
        gap: 6px;
        cursor: pointer;
        padding: 10px;
        margin-right: -10px;
    }

    .lines{
        display: flex;
        background-color: white;
        height: 2px;
        width: 25px;
    }

    .lines-rotate{
        background-color: rgb(85, 84, 84);
        border-radius: 5px;
    }


    nav{
        position: relative;
        padding: 15px 20px;
        margin: 0px auto;
    }

    nav ul{
        width: 100%;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: absolute;
        top: -300px;
        right: 0;
        background-color: #5ba497;
        padding: 35px 0;
        border-radius: 0 0 20px 20px;
        box-shadow: 0px 5px 5px rgba(128,128,128,0.363)
    }

    nav li a{
        color: rgba(12, 11, 11, 0.836);
        font-weight: bold;
    }

    nav li{
        text-align: center;
        width: 90vw;
    }

    nav a:hover{
        font-weight: bold;
        color: #191e24;
        border: none;
        letter-spacing: 3px;
    }
   

    .hero-text h4{
        width: 170px;
        margin-bottom: 20px; 
    }
    
    .hero-text h4 span{
        background:black; 
        padding:0px 10px; 
    }
    
    .hero{
        display: flex;
        flex-direction: column;
        margin: 50px auto;
    }

    .hero-text{
        max-width: 100%;
        align-items: center;
        margin-right: 0px;
    }

    .hero h1{
        font-size: 45px;
        text-align: center;
        
    }
    .hero p{
        font-size: 15px;
        margin: 20px 0px;
        text-align: center;
    }
    .hero-pic{
        display: block;
        margin: 50px auto;
        width: 350px; 
        height: 250px;
    }


    .experience{
        width: 100%;
        height: 70px;
    }

    .experience h3{
        font-size: 15px;
    }

    .language{
        width: 30px;
        height: 30px;
    }

    .about-section{
        display: flex;
        flex-direction: column;
    }

    .about-pic{
        display: block;
        margin: 10px auto;
        width: 275px;
        height: 300px;
    }

    .about-container{
        margin: 50px auto;
    }

    .about-section{
        padding: 50px 30px;
        justify-content: center;
    }

    .about-text{
        padding: 0px;
    }
    
    .about-text p{
        font-size: 15px;
    }

    .about-section input[type="submit"]{
        font-size: 15px;
        width: 100px;
        height: 30px;

    }


    .skill-container{
        width: 400px;
        height: auto;
        flex-wrap: nowrap;
    }
    
    

    .t-card{
        flex: 1 1 calc(33.33%);
        width: calc(50%);
    }

    .slide-img{
        width: 300px;
        height: 200px;
    }

    .project-container{

    }

    .portfolio-cell{
        width: 350px;
        height: 250px;
    }


    .cell-info h2, p{
        font-size: 13px;
    }

    .portfolio-section button{
        margin-top: 20px;
    }

    .tool-cards{
        justify-content: initial;
    }

    .dev-tools{
        justify-content: initial;
    }

    .contact-section{
        padding: 20px;
        flex-direction: column;
    }

    .contact-links{
        padding: 10px;
        margin: 0px 0px 50px 0px;

    }
    .contact-links h2{
        margin-bottom: 10px;
    }
    .contact-links h1{
        font-size: 30px;
        margin-bottom: 20px;
    }
    
    .contact-links h4{
        color: #5BA497;
        margin: 8px 0px;
        font-size: 16px;
    }

    .contact-links p{
        font-size: 15px;
    }

    .contact-form{
        width: 400px;
        margin: 20px auto 0px auto;
    }

    form{
        display: flex;
        flex-direction: column;
    }


    .form-cell{
        float: none !important;
    }

    .cell-grid1{
        display: inline-block;
    }
        
    #float-right{
        float: left;
    }
    
    

    label{
        font-size: 15px;
    }


    input[type=text], textarea {
        padding: 12px;
        margin-top: 3px;
        margin-bottom: 16px;
        width: 200px;
        height: 60px;
    }
    
    textarea{
        width: auto;
    }
    
      

    .form-btn{
        font-size: 11px;
        width: 150px;
        height: 40px;
        padding: 0px;
    }
    
    footer{
        margin-top: 90px;
    }

    footer i{
        width: 10px;
        height: 10px;
        margin: 10px;
    }

    footer p{
        font-size: 13px;
    }


}












